#include <Mstn\MdlApi\rscdefs.r.h>
#include <Mstn\MdlApi\dlogbox.r.h>
#include "UI_code.h"
//#include "TopMenu.r"
#define  DLLAPPID     1

//DllMdlApp是被定义在rscdef.r.h文件中的一个结构体。
//它由两部分组成：任务标识（TaskId）和DLL名称；
//TaskId基本上可以理解为ma文件的名称，但不完全对应。
//TaskId会被自动转换为全部大写字符而且有长度的限制，
//只有在你的ma文件的名字非常长的情况下，
//TaskId才会发生不与文件名相同的情况；

//MDL程序由一个ma和一个dll两个文件组成，
//装载时先找到ma，再通过这个DllMdlApp结构找到对应的dll文件来装载。
//一般情况下我们都会将ma和dll的名称保持一致，当然也可以不一致。
DllMdlApp   DLLAPPID =
{
    L"UI_code", L"UI_code"    // taskid, dllName
}


/*----------------------------------------------------------------------+
|                                                                       |
|   主对话框（弹出的对话框）                                            |
|                                                                       |
+----------------------------------------------------------------------*/
#define X1 (14*XC)              /* text & option button x position */
#define X2 (7*XC)               /* push button x position */
#define XW (40*XC)               /* text & option button width */
#define BTN_WIDTH (12*XC)       /* push button width */

DialogBoxRsc DIALOGID_Basic=
    {
    DIALOGATTR_DEFAULT | DIALOGATTR_SINKABLE,
    85*XC, 30*YC,			/*对话框的长和宽*/
    NOHELP, MHELP, HOOKID_DlgBasic, NOPARENTID,
    TXT_DIALOGID_Basic,		/*对话框的标题名称*/
{
//{{X1,GENY(1),XW,0}, Text, TEXTID_USER, ON, 0, "", ""},
//{{X1,GENY(2),XW,0}, Text, TEXTID_PASSWD, ON, 0, "", ""},
//{{10*XC,GENY(3),15*XC,0}, Text, TEXTID_QD_HIGHT, ON, 0, "", ""},//桥墩高度
//{{10*XC,GENY(4),15*XC,0}, Text, TEXTID_QZ_HIGHT, ON, 0, "", ""},//桥桩高度


{{20*XC, GENY(2), 50*XC, 30*YC}, Generic, GENERICID_Cells, ON, 0, "", ""},
{{X2,GENY(14),BTN_WIDTH,0}, PushButton, PUSHBUTTONID_QueRen, ON, 0,"",""},
}
   };
   
   
   DItem_GenericRsc GENERICID_Cells=
	{
		NOHELP, MHELP, NOHOOK, NOARG
	};
  DItem_PushButtonRsc PUSHBUTTONID_QueRen =
    {
	DEFAULT_BUTTON , NOHELP, MHELP, HOOKID_BtnPreview, NOARG,
	COMBOBOXID_MyLevel, MCMD, "", TXT_BUTTON_QR
    };
/*----------------------------------------------------------------------+
|                                                                       |
|   对话框上的控件定义：两个文本框一个按钮 。                           |
|   第一个是输入用户名的文本框。                                        |
|   第二个是输入用户密码的文本框 。                                     |
|   第三个是提交用户名和密码的按钮 。                                   |
+----------------------------------------------------------------------*/  
/*
DItem_TextRsc TEXTID_QD_HIGHT =
    {
    NOCMD, LCMD, SYNONYMID_Basic, NOHELP, MHELP, NOHOOK, NOARG,
    14, "%f", "%f", "1", "3", NOMASK, NOCONCAT,
    TEXT_QD_HIGHT,
    "g_uicode.User"
    };//桥墩高度
	
	DItem_TextRsc TEXTID_QZ_HIGHT =
    {
    NOCMD, LCMD, SYNONYMID_Basic, NOHELP, MHELP, NOHOOK, NOARG,
    14, "%f", "%f", "1", "3", NOMASK, NOCONCAT,
    TEXT_QZ_HIGHT,
    "g_uicode.User"
    };//桥桩高度
   DItem_TextRsc TEXTID_USER =
    {
    NOCMD, LCMD, SYNONYMID_Basic, NOHELP, MHELP, NOHOOK, NOARG,
    14, "%s", "%s", "1", "3", NOMASK, NOCONCAT,
    TXT_Parameter1,
     "g_uicode.User"
    };
	
	
	DItem_TextRsc TEXTID_PASSWD =
    {
    NOCMD, LCMD, SYNONYMID_Basic, NOHELP, MHELP, NOHOOK, NOARG,
    14, "%s", "%s", "1", "3", NOMASK, TEXT_PASSWORD,
    TXT_Parameter2,
    "g_uicode.Passwd"
    };
*/
	
	
	
