//需要包含两个必要的头文件rscdefs.r.h和cmdclass.r.h

#include <Mstn\MdlApi\rscdefs.r.h>
#include <Mstn\MdlApi\cmdclass.r.h>
#include "UI_code.h"
/*----------------------------------------------------------------------+
|   Local Defines												
+----------------------------------------------------------------------*/
enum CmdTableIds
{
   CT_NONE = 0,
   CT_MAIN,
   CT_SUB,
   CT_CREATE
};

/*----------------------------------------------------------------------+
|   HelloWorld commands		
|   每个命令表由CommandTable关键字定义，后跟一个命令表标识。
|   命令表是一个动态数组，数组中的每行定义该级命令可用的关键字以及相关信息.	
|   命令表中的每行至少由五列组成（后续会使用到更多的列）：
|   第一列是索引值，第二列是子表标识，第三列是命令类别，
|   第四列是命令选项，第五列是键入命令关键字.						
+----------------------------------------------------------------------*/
CommandTable   CT_MAIN =
{ 
    { 1,  CT_SUB,	PLACEMENT,	  REQ,		"HELLOWORLD" }, 
};


CommandTable	   CT_SUB =
{
    { 1,  CT_CREATE,    INHERIT,          NONE, 	"CREATE" },
};


CommandTable	   CT_CREATE =
{
    { 1,  CT_NONE, 	INHERIT, 	  DEF, 	        "Line" },
    { 2,  CT_NONE, 	INHERIT, 	  NONE,        "ComplexShape" },
    { 3,  CT_NONE, 	INHERIT, 	  NONE,        "ProjectedSolid" },
	{ 4,  CT_NONE,  INHERIT,      NONE,        "BsplineSurface", CMDNAME_PlaceBsSurfaceTool, ItemList_BsplineSurface},
};
